<?php

namespace kirova\Config;

use RS\Module\AbstractInstall;

/**
 * Класс отвечает за установку и обновление модуля
 */
class Install extends AbstractInstall
{
    function install()
    {
        $result = parent::install();
        $config = \RS\Config\Loader::byModule('kirova');
        $config['program_key'] = self::gen_password(8);
        $config['date_install'] = date('Y-m-d');
        $config->update();
        return $result;
    }

    public function gen_password($length = 6)
    {
        $chars = 'qazxswedcvfrtgbnhyujmkiolp1234567890QAZXSWEDCVFRTGBNHYUJMKIOLP';
        $size = strlen($chars) - 1;
        $password = '';
        while($length--) {
            $password .= $chars[random_int(0, $size)];
        }
        return $password;
    }
}
