<?php

namespace kirova\Model;

use RS\Module\AbstractModel\EntityList;

/**
 * Класс для организации выборок ORM объекта.
 * В этом классе рекомендуется также реализовывать любые дополнительные методы, связанные с заявленной в конструкторе моделью
 */
class LicApi extends EntityList
{
    function __construct()
    {
        parent::__construct(new \Kirova\Model\Orm\Lic());
    }

    public function checkLicenseStatus($program_key, $license_key)
    {
        $fields = ['program_key' => $program_key, 'license_key' => $license_key];
        $fields = http_build_query($fields);
        $opts = [
            'http' => [
                'method' => 'POST',
                'header'  => "Content-type: application/x-www-form-urlencoded\r\n"
                    . "Content-Length: " . strlen($fields) . "\r\n",
                'content' => $fields,
//                'header' => 'Content-type: application/x-www-form-urlencoded',
//                'content' => http_build_query($fields)
            ]
        ];

        $results = file_get_contents('http://inoe.local/check_license_status.php', false, stream_context_create($opts));
        return json_decode($results);
    }

    public static function getLicenseState()
    {
        $config = \RS\Config\Loader::byModule('kirova');
        $program_key = $config['program_key'];
        $lic = \RS\Orm\Request::make()
            ->from(new \Kirova\Model\Orm\Lic())
            ->where([
                'program_key' => $program_key
            ])->exec()->fetchRow();
        return $lic['state'];
    }
}
